Bug 1013986 - Review Request: bytecode-compatibility-transformer - Evolve modular codebase without losing compatibility
Summary: Review Request: bytecode-compatibility-transformer - Evolve modular codebase ...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-01 08:13 UTC by Michal Srb
Modified: 2013-10-03 07:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 07:11:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
review notes (9.06 KB, text/plain)
2013-10-01 09:43 UTC, gil cattaneo
no flags Details

Description Michal Srb 2013-10-01 08:13:32 UTC
Spec URL: http://msrb.fedorapeople.org/review/bytecode-compatibility-transformer.spec
SRPM URL: http://msrb.fedorapeople.org/review/bytecode-compatibility-transformer-1.3-1.fc21.src.rpm
Description: This Java library provides a set of annotations and bytecode 
transformer that helps you evolve modular codebase without losing compatibility.
Fedora Account System Username: msrb

Comment 1 gil cattaneo 2013-10-01 09:43:35 UTC
Created attachment 805801 [details]
review notes

problem: 

[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

[!]: Package does not include license text files separate from upstream.

bytecode-compatibility-transformer-javadoc.noarch: E: description-line-too-long C This package contains the API documentation for bytecode-compatibility-transformer.

please, fix this issues (also at import time)
regards

Comment 2 Michal Srb 2013-10-01 12:44:07 UTC
Thanks for the review.


New Package SCM Request
=======================
Package Name: bytecode-compatibility-transformer
Short Description: Evolve modular codebase without losing compatibility
Owners: msrb sochotni mizdebsk msimacek
Branches: f20
InitialCC: java-sig

Comment 3 Gwyn Ciesla 2013-10-01 13:07:37 UTC
Git done (by process-git-requests).

Comment 4 Michal Srb 2013-10-03 07:11:44 UTC
Thanks for the review and the repo, the package is now available in rawhide.


Note You need to log in before you can comment on or make changes to this bug.